Bug 864565 - Web ui shows GPG key associated with a repo multiple times
Web ui shows GPG key associated with a repo multiple times
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: David Davis
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 11:19 EDT by Og Maciel
Modified: 2013-09-19 14:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:13:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (55.40 KB, image/png)
2012-10-09 11:19 EDT, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-10-09 11:19:16 EDT
Created attachment 624149 [details]
Screenshot

Description of problem:

Web ui shows GPG key associated with a repo multiple times (see screenshot)

Version-Release number of selected component (if applicable):

* candlepin-0.7.8.1-1.el6cf.noarch
* candlepin-selinux-0.7.8.1-1.el6cf.noarch
* candlepin-tomcat6-0.7.8.1-1.el6cf.noarch
* katello-1.1.12-14.el6cf.noarch
* katello-all-1.1.12-14.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-7.el6cf.noarch
* katello-cli-common-1.1.8-7.el6cf.noarch
* katello-common-1.1.12-14.el6cf.noarch
* katello-configure-1.1.9-7.el6cf.noarch
* katello-glue-candlepin-1.1.12-14.el6cf.noarch
* katello-glue-pulp-1.1.12-14.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

How reproducible:


Steps to Reproduce:
1. Created 2 different providers, each with 2 different repositories, synced and promoted to next environment
2. Registered and subscribed a client against my org
3. Added a gpg key and assigned it to one of the products (all 2 repos were also assigned to it)
4. Looking at the web ui, Content > GPG Keys, selecting my key and looking at Products and Repositories tab shows me 4 entries for every repository (see screenshot)
  
Actual results:


Expected results:

Only one entry per repository.

Additional info:
Comment 2 David Davis 2012-10-09 14:22:25 EDT
https://github.com/Katello/katello/pull/820

Katello SHA: 21e2046cb883dea3a2e471c717ee89026b566081
Comment 3 David Davis 2012-10-10 09:26:49 EDT
Also, fixed up the display of validation_errors SHA:

27f2807cd650edf23ea2b3f53f9acebc2ee4fafd
Comment 4 David Davis 2012-10-10 14:39:01 EDT
Sorry, 27f2807cd650edf23ea2b3f53f9acebc2ee4fafd is for a different BZ.
Comment 5 Mike McCune 2012-10-31 13:53:44 EDT
moving to 2.0
Comment 6 Marek Hulan 2012-12-12 02:41:31 EST
During working on some other bug I realized that this fix introduced a little bug. See 1e2730529762890ca0eb2b01f3007d29fe3739fc for details. This commit is connected to bug https://bugzilla.redhat.com/show_bug.cgi?id=855433
Comment 7 Mike McCune 2013-08-16 14:06:55 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 8 Mike McCune 2013-09-19 14:13:14 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.